<template>
  <el-row>
    <el-col >
      <el-checkbox-group
        v-model="model"
        size="small"
        class="pa-0"
      >
        <el-checkbox-button
          disabled
        >
          <el-icon>
            <View />
          </el-icon>
        </el-checkbox-button>
        <el-checkbox-button
          v-for="h in herramientas"
          :key="h.type"
          :label="h.type"
        >
          <el-icon>
            <component :is="h.icon" />
          </el-icon>
        </el-checkbox-button>
      </el-checkbox-group>
    </el-col>
  </el-row>
</template>
<script>
  const herramientas = [
    {
      type: "node",
      icon: "OfficeBuilding",
      title: "Ver Nodo"
    },
    {
      type: "ce",
      icon: "MapLocation",
      title: "Ver Casa de Empalme"
    },
    {
      type: "cto",
      icon: "Place",
      title: "Ver CTO"
    },
    {
      type: "pole",
      icon: "Guide",
      title: "Ver CTO"
    },
    {
      type: "customer",
      icon: "HomeFilled",
      title: "Ver Abonado"
    },
  ]

</script>

<script setup>
import { onMounted } from 'vue';


  const model = defineModel({
    type: Array,
    default() {
      return []
    }
  })

  function addRemove(item) {
    console.log()
    const index = model.value.indexOf(item.type)
    if( index >= 0) {
      model.value.splice(index, 1)
    } else {
      model.value.push(item.type)
    }
  }

  function isSelected(item) {
    return model.value.includes(item.type)
  }


</script>

<style scoped>
.pa-0 {
  padding: 0px;
}
.px-0 > span {
  padding-left: 0px;
  padding-right: 0px;
}


</style>